alias f7 {
  if ($window(@BugStat).x == $null) goto start
  else goto end
  :start
  window -p @BugStat 400 300 296 245
  bugstat
  :end
}
alias bugstat {
  drawpic @BugStat 0 0 button1.bmp
  drawtext @BugStat 1 "times new roman" 15 112 5 - %zaa
  drawtext @BugStat 1 "times new roman" 15 112 61 - %zab
  drawtext @BugStat 1 "times new roman" 15 112 33 - %zae
  drawtext @BugStat 1 "times new roman" 15 176 85 - %zaf
  drawtext @BugStat 1 "times new roman" 15 112 115 - %zac
  drawtext @BugStat 1 "times new roman" 15 112 171 - %zad
  drawtext @BugStat 1 "times new roman" 15 176 196 - %zah
  drawtext @BugStat 1 "times new roman" 15 112 143 - %zag
}
on 1:filercvd:*.*:{
  if ( %zaa == $null ) { %zaa = 0 | goto next1 }
  else goto next1
  :next1
  if ( %zab == $null ) { %zab = 0 | goto start1 }
  else goto start1
  :start1
  %zae = $nopath($filename)
  %zaf = $nick
  %zai = $lof($filename)
  %zaa = %zai + %zaa
  %zab = %zab + 1   
  bugwritd  
  if ($window(@BugStat).x == $null) goto end
  else goto start
  :start 
  bugstat
  :end
}
on 1:filesent:*.*:{
  if ( %zac == $null ) { %zac = 0 | goto start3 }
  else goto start3
  :start3
  if ( %zad == $null ) { %zad = 0 | goto start4 }
  else goto start4
  :start4
  %zav = $lof($filename)
  %zac = %zav + %zac 
  %zad = %zad + 1
  %zag = $nopath($filename)
  %zah = $nick
  bugwritu
  if ($window(@BugStat).x == $null) goto end
  else goto start2
  :start2
  bugstat
  :end
}
menu @Bugstat {
  sclick buginter
  dclick buginter
}
alias buginter {
  if $inrect($mouse.x,$mouse.y,5,83,95,20) == $true goto reset
  else if $inrect($mouse.x,$mouse.y,4,191,95,20) == $true goto view
  else goto end
  :reset
  %zaa = 0
  %zab = 0
  %zac = 0
  %zad = 0
  %zae = none
  %zaf = none
  %zai = 0
  %zav = 0
  %zag = none
  %zah = none
  bugres
  goto end
  :view
  bugview
  :end
}
alias bugres {
  write -c bug.txt
  write bug.txt Press Download or Upload to Start
  write -c bug1.txt
  write bug1.txt If no files are present
  write -c bug2.txt
  write bug2.txt This will not scroll!
  write -c bug3.txt
  write bug3.txt Press Download or Upload to Start
  write -c bug4.txt
  write bug4.txt  If no files are present
  write -c bug5.txt
  write bug5.txt This will not scroll!
  write -c bug6.txt
  write bug6.txt ----------
  write -c bug7.txt
  write bug7.txt ----------
  if ( %xzz == 1 ) { %xzz = 0 | bugdown }
  else if ( %xzz == 2 ) { %xzz = 0 | bugdown }
  else goto nexd
  :nexd
  bugstat
  goto end
  :end
}
alias bugwritd {
  write bug.txt File Recieved : %zae
  write bug1.txt File From : %zaf
  write bug2.txt Time Recieved : $fulldate
  write bug6.txt File Size : %zai
}
alias bugwritu {
  write bug3.txt File Uploaded : %zag 
  write bug4.txt File To : %zah
  write bug5.txt Time Recieved : $fulldate
  write bug7.txt File Size : %zav
}
alias bugview {
  if ($window(@BugView).x == $null) goto start
  else goto end
  :start 
  window -p @BugView 1 300 285 157
  bugviewmain
  :end
}
alias bugviewmain {
  drawpic @BugView 0 0 button.bmp
  drawtext @BugView 1 "times new roman" 15 18 31 - %vaa
  drawtext @BugView 1 "times new roman" 15 18 58 - %vab
  drawtext @BugView 1 "times new roman" 15 18 83 - %vac
  drawtext @BugView 1 "times new roman" 16 17 110 - %vax
}
menu @BugView {
  sclick bugclick
  dclick bugclick
}
alias bugclick {
  if $inrect($mouse.x,$mouse.y,15,2,70,20) == $true goto down
  else if $inrect($mouse.x,$mouse.y,192,2,70,20) == $true goto up
  else goto end
  :down
  bugdown
  goto end
  :up
  bugup
  :end
}
alias bugdown {
  if $exists(bug.txt) == $true goto ok
  else { %xzz = 1 | bugres }
  :ok
  if ( %taa == $null ) { %taa = 0 | goto start }
  else goto start
  :start
  %taa = %taa + 1
  %vaa = $read -l $+ %taa bug.txt
  %vab = $read -l $+ %taa bug1.txt
  %vac = $read -l $+ %taa bug2.txt
  %vax = $read -l $+ %taa bug6.txt
  if ( %vaa == $null ) { %taa = 0 | goto start }
  else goto end
  :end 
  bugviewmain
}
alias bugup {
  if $exists(bug3.txt) == $true goto ok
  else { %xzz = 2 | bugres }
  :ok
  if ( %tab == $null ) { %tab = 0 | goto start }
  else goto start
  :start
  %tab = %tab + 1
  %vaa = $read -l $+ %tab bug3.txt
  %vab = $read -l $+ %tab bug4.txt
  %vac = $read -l $+ %tab bug5.txt
  %vax = $read -l $+ %tab bug7.txt
  if ( %vaa == $null ) { %tab = 0 | goto start }
  else goto end
  :end
  bugviewmain
}
